Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.commands
Class AddSpacesActsCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.AbstractOverrideableCommand
              org.metaabm.commands.AddSpacesActsCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command, org.eclipse.emf.edit.command.OverrideableCommand

    public class AddSpacesActsCommand

extends org.eclipse.emf.edit.command.AbstractOverrideableCommand

Creates acts on agent creation.

Author:
  milesparker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Field Summary
`protected org.eclipse.emf.common.command.CompoundCommand` | `command`

Fields inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`domain, overrideCommand`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`AddSpacesActsCommand(org.eclipse.emf.edit.domain.EditingDomain domain, SContext parent, java.util.Collection<?> spaces)`

Method Summary
`protected void` | `createSpaceBuilder(SProjection proj, ABuild builder)`
`boolean` | `doCanExecute()`
`void` | `doExecute()`
`java.util.Collection<?>` | `doGetAffectedObjects()`
`void` | `doRedo()`
`void` | `doUndo()`
`static ABuildProjection` | `findBuilderOf(SContext context, SProjection proj)`

Methods inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`canExecute, canUndo, dispose, doCanUndo, doDispose, doGetChildrenToCopy, doGetDescription, doGetLabel, doGetResult, execute, getAffectedObjects, getChildrenToCopy, getDescription, getDomain, getLabel, getOverride, getOwnerList, getResult, redo, setOverride, toString, undo, updateEMap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`chain, prepare, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.command.Command
`chain`

Field Detail

### command

    protected org.eclipse.emf.common.command.CompoundCommand command

Constructor Detail

### AddSpacesActsCommand

    public AddSpacesActsCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                SContext parent,
                                java.util.Collection<?> spaces)

Method Detail

### doGetAffectedObjects

    public java.util.Collection<?> doGetAffectedObjects()

  Specified by:
    `doGetAffectedObjects` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doGetAffectedObjects` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doCanExecute

    public boolean doCanExecute()

  Specified by:
    `doCanExecute` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Overrides:
    `doCanExecute` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### findBuilderOf

    public static ABuildProjection findBuilderOf(SContext context,
                                                 SProjection proj)

### doExecute

    public void doExecute()

  Specified by:
    `doExecute` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Specified by:
    `doExecute` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### createSpaceBuilder

    protected void createSpaceBuilder(SProjection proj,
                                      ABuild builder)

### doRedo

    public void doRedo()

  Specified by:
    `doRedo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Specified by:
    `doRedo` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

### doUndo

    public void doUndo()

  Specified by:
    `doUndo` in interface `org.eclipse.emf.edit.command.OverrideableCommand`
  Specified by:
    `doUndo` in class `org.eclipse.emf.edit.command.AbstractOverrideableCommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD